"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _vue = require("vue");

var _vueSystem = require("@chakra-ui/vue-system");

var _utils = require("@chakra-ui/utils");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var CBadge = (0, _vue.defineComponent)({
  props: {
    as: {
      type: [Object, String],
      "default": 'div'
    },
    colorScheme: String,
    variant: String,
    size: String,
    styleConfig: String
  },
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    return function () {
      var themingProps = (0, _vue.computed)(function () {
        return (0, _utils.filterUndefined)({
          colorScheme: props.colorScheme,
          variant: props.variant,
          size: props.size,
          styleConfig: props.styleConfig
        });
      });
      var styles = (0, _vueSystem.useStyleConfig)('Badge', themingProps.value);
      return (0, _vue.h)((0, _vueSystem.chakra)(props.as), _extends({
        __css: _extends({
          display: 'inline-block',
          whiteSpace: 'nowrap',
          verticalAlign: 'middle'
        }, styles.value)
      }, attrs), slots);
    };
  }
});
var _default = CBadge;
exports["default"] = _default;
//# sourceMappingURL=badge.js.map