function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { h, defineComponent, computed } from 'vue';
import { chakra, useStyleConfig } from '@chakra-ui/vue-system';
import { filterUndefined } from '@chakra-ui/utils';
var CBadge = defineComponent({
  props: {
    as: {
      type: [Object, String],
      default: 'div'
    },
    colorScheme: String,
    variant: String,
    size: String,
    styleConfig: String
  },

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    return () => {
      var themingProps = computed(() => filterUndefined({
        colorScheme: props.colorScheme,
        variant: props.variant,
        size: props.size,
        styleConfig: props.styleConfig
      }));
      var styles = useStyleConfig('Badge', themingProps.value);
      return h(chakra(props.as), _extends({
        __css: _extends({
          display: 'inline-block',
          whiteSpace: 'nowrap',
          verticalAlign: 'middle'
        }, styles.value)
      }, attrs), slots);
    };
  }

});
export default CBadge;
//# sourceMappingURL=badge.js.map